;Jaws For Windows scripts for Adobe Audition 
;Version: 20050117-1
;Authors: Michael Curran and James Teh 

const
; Generic
msgOn = "on",
msgOff = "off",
msgYes = "yes",
msgNo = "no",
msgBusy = "busy",
msgDisabled = "Disabled",
msgHidden = "hidden",
msgError = "error",
msgEmpty = "empty",
msgNone = "none",
msgBeginning = "beginning",
msgEnd = "End",

; JAWS script interface
J_TitleClearSelectionList = "Clear selection and move edit cursor",
J_TitleTrainDisplay = "Train to Display Configuration"
;EndConst

Messages
; Titles/views/areas
@msgAdobeAudition
Adobe Audition
@@
@msgSplash
Splash screen
@@
@msgTrackTable
Track table
@@
@msgWaveform
Waveform
@@
@msgModeTrack_S
Multitrack view
@@
@msgModeTrack_L
Multitrack view - %1
@@
@msgModeWave_S
Edit waveform view
@@
@msgModeWave_L
Edit waveform view - %1
@@
@msgModeCD
CD Project View
@@
@msgMainArea
Main area
@@
@msgSVCtrls
Selection/View controls
@@

; Field/control names
@msgSettingsSystemBrowseForPrimaryTempFolder
Browse for primary temp folder...
@@
@msgSettingsSystemBrowseForSecondaryTempFolder
Browse for secondary temp folder...
@@
@msgSVCtrlsSelectFrom
Select from:
@@
@msgSVCtrlsSelectTo
Select to:
@@
@msgSVCtrlsSelectLength
Selection length:
@@
@msgSVCtrlsViewFrom
View from:
@@
@msgSVCtrlsViewTo
View to:
@@
@msgSVCtrlsViewLength
View length:
@@
@msgTrackFieldName
Name
@@
@msgTrackFieldType
Type
@@
@msgTrackFieldBlocks
Blocks
@@
@msgTrackFieldMute
Mute
@@
@msgTrackFieldSolo
Solo
@@
@msgTrackFieldArm
Arm
@@
@msgTrackFieldPan
Pan
@@
@msgTrackFieldVolume
Volume
@@
@msgTrackFieldPlayDevice
Playback device
@@
@msgTrackFieldRecDevice
Recording device
@@
@msgTrackFieldMidiMap
Midi map
@@
@msgTrackFieldFX
FX
@@
@msgTrackFieldLock
Lock
@@
@msgTrackFieldEQHigh
EQ High
@@
@msgTrackFieldEQMid
EQ Mid
@@
@msgTrackFieldEQLow
EQ Low
@@
@msgTrackFieldEQMode
EQ mode
@@
@msgTrackFieldWet
Wet
@@
@msgTrackFieldDry
Dry
@@

; Track types
@msgTrackTypeAudio
audio
@@
@msgTrackTypeMidi
midi
@@

; Status/info
@msgNoFiles
no files loaded
@@
@msgZoomingTrackView
Zooming in track view
@@
@msgMustStop
Please stop Adobe Audition first!
@@
@msgNoSelection
No selection
@@
@msgMovedTo
Moved to %1
@@
@msgSettingsSaved
Settings saved
@@
@msgSettingsNotSaved
Error saving settings
@@
@msgBeginningOfFile
Beginning of file
@@
@msgEndOfFile
End of file
@@

; Times:
@msgAddCue
Added cue at %1
@@
@msgSelected
Selected
@@
@msgViewing
Viewing
@@
@msgFromToLength
From %1
To %2,
Length %3
@@

@msgSelectedToEnd
Selected from: %1 to the end
@@
@msgSelectedToBeginning
Selected from the beginning to: %1
@@

;Info Buffers
@msgFileInfo
Adobe Audition File Information

File name: %1
File length: %2
File size: %3
File format: %4
@@
@msgHotKeyHelpWave
The following JAWS keys are used in navigating and manipulating waveforms.
Say current time: %KeyFor(SayCurrentTime)
Say selection: %KeyFor(SaySelection)
Say viewed area: %KeyFor(SayView)
Set time mark 1 to current time: %KeyFor(SetTimeMark1)
Set time mark 2 to current time: %KeyFor(SetTimeMark2)
Set selection to time marks: %KeyFor(SetSelectionToTimeMarks)
Set time marks to selection: %KeyFor(SetTimeMarksToSelection)
Set view to time marks: %KeyFor(SetViewToTimeMarks)
Set time marks to view: %KeyFor(SetTimeMarksToView)
Clear selection: %KeyFor(Escape)
Move to transport controls: %KeyFor(MoveToTransportCtrls)
Move to selection/view controls: %KeyFor(MoveToSVCtrls)
Move to zoom controls: %KeyFor(MoveToZoomCtrls)
Set rewind/fast forward speed: %KeyFor(RRFFSpeed)

To access the toolbars, enter the menus by pressing alt and move to either the first toolbar with %KeyFor(CtrlTab) or the last with %KeyFor(CtrlShiftTab).
%KeyFor(CtrlTab) and %KeyFor(CtrlShiftTab) move forwards and backwards through toolbars.
%KeyFor(Tab) and %KeyFor(ShiftTab) move between toolbar buttons.
%KeyFor(Enter) activates the current toolbar button, and %KeyFor(ContextMenu) or the applications key activates the context menu for that button.
Use %KeyFor(Escape) to return to the main area from a toolbar.
@@
@msgHotKeyHelpTrack
The following keys are used in navigating and manipulating tracks in the multitrack view.
Next track: %KeyFor(auditionnextTrack)
Prior track: %KeyFor(auditionPriorTrack)
Next track field: %KeyFor(Tab)
Prior track field: %KeyFor(ShiftTab)
Go to track: %KeyFor(GotoTrack)
Activate current field: %KeyFor(Enter)
Activate current field, multiple activation (use in solo field on each desired track to solo multiple tracks): %KeyFor(CtrlEnter)
Increase current field (small movement): %KeyFor(increaseTrackFieldValueSmall)
Increase current field (large movement): %KeyFor(increaseTrackFieldValueLarge)
Decrease current field (small movement): %KeyFor(decreaseTrackFieldValueSmall)
Decrease current field (large movement): %KeyFor(decreaseTrackFieldValueLarge)
Toggle current track tab (the fields available depend on the track tab selected; vol, EQ or bus): %KeyFor(TrackTabToggle)
@@

;Go to track
@msgGoToTrack_DialogText
Type the number of the track you wish to go to:
@@
@msgGoToTrack_DialogTitle
Go To Track
@@
@msgGoToTrack_BadNumber
Please enter a number between 1 and 128
@@
@msgGoToTrack_GoingToTrack
Going to track %1, please wait
@@
@msgSelectedFrom
Selected from %1
@@

; Train to display configuration
@msgTrainDisplay
This will train the scripts to your display configuration.
For example, the correct colour for the status of certain controls, such as mute, will be obtained.
A new, blank multi-track session must be active. This is very important!
Do you wish to continue?
@@
@msgTrainDisplayNotInMultitrack
You are not in the multi-track view.
A new, blank multi-track session must be active.
@@
@msgTrainDisplayUnable
Unable to train the scripts to your display configuration!
If you were in a blank multi-track session as prescribed, please contact the script authors!
@@
@msgNeedToTrainToDisplayConfig
In order for these scripts to function correctly, you must train them to your display configuration. Otherwise, many controls will fail to work.
This need only be done once, unless you change your display configuration (at present, only the colour quality is relevant).
To do this, switch to the multi-track view and ensure that a new, blank session is open. This step is very important!
Then, press %KeyFor(TrainToDisplayConfig) to begin the process.
@@
@msgHotkeyReminder
For a list of jaws hotkeys for Adobe Audition, press %KeyFor(HotKeyHelp)
@@
@msgToolbarObscured_L
Toolbar is Obscured,
Buttons may not read very well.
Disable some other toolbars or increase the row limit.
@@
@msgToolbarObscured_S
Toolbar is obscured
@@
endMessages
